var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  a = require("../../hooks/onShareAppMessage.js"),
  t = require("../../service/index.js"),
  r = require("../../constant/index.js"),
  i = require("../../utils/util.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../config/index.js"),
  require("../../utils/request.js"),
  Math || (e.unref(u) + e.unref(o) + e.unref(s))();
var o = function () {
    return "../../components/float-back-to-top/index.js";
  },
  u = function () {
    return "../../components/divider/index.js";
  },
  s = function () {
    return "../../components/float-share/index.js";
  },
  c = {
    __name: "index",
    setup: function (o) {
      var u = e.ref(!0),
        s = e.ref({}),
        c = e.ref(!1),
        v = e.ref([
          {
            name: "骨架",
            value: 0,
            key: "type1",
            icon: "/static/svgs/pic_ckpc_normal_1.svg",
          },
          {
            name: "外观",
            value: 0,
            key: "type2",
            icon: "/static/svgs/pic_ckpc_normal_2.svg",
          },
          {
            name: "发动机",
            value: 0,
            key: "type3",
            icon: "/static/svgs/pic_ckpc_normal_3.svg",
          },
          {
            name: "变速箱",
            value: 0,
            key: "type3",
            icon: "/static/svgs/pic_ckpc_normal_4.svg",
          },
          {
            name: "火烧",
            value: 0,
            key: "type4",
            icon: "/static/svgs/pic_ckpc_normal_5.svg",
          },
          {
            name: "水淹",
            value: 0,
            key: "type5",
            icon: "/static/svgs/pic_ckpc_normal_6.svg",
          },
          {
            name: "气囊",
            value: 0,
            key: "type6",
            icon: "/static/svgs/pic_ckpc_normal_7.svg",
          },
          {
            name: "加强件",
            value: 0,
            key: "type7",
            icon: "/static/svgs/pic_ckpc_normal_8.svg",
          },
        ]);
      return (
        n.onMounted(function (e) {
          var n = e.order_no,
            a = e.product_id;
          i.showLoading("努力查询中"),
            t
              .getBlankReportDetail({ order_no: n, product_id: a })
              .then(function (e) {
                (s.value = e), (u.value = !1), i.hideLoading();
              });
        }, !1),
        e.onPageScroll(function (n) {
          var a = n.scrollTop;
          c.value = a >= e.index.getSystemInfoSync().windowHeight / 3;
        }),
        a.onShareAppMessage(),
        function (n, a) {
          return e.e(
            { a: !u.value },
            u.value
              ? {}
              : {
                  b: e.t(
                    (s.value.vin || "")
                      .toString()
                      .replace(/^(.{5}).{6}/, "$1******")
                  ),
                  c: e.t(s.value.order_no),
                  d: e.t(s.value.report_date),
                  e: e.t(s.value.manufacturer),
                  f: e.t(s.value.comfuelconsumption),
                  g: e.t(s.value.engine_no),
                  h: e.t(s.value.displacementml),
                  i: e.t(s.value.environmentalstandards),
                  j: e.t(s.value.sizetype),
                  k: e.t(s.value.isimport),
                  l: e.t(s.value.seatnum),
                  m: e.f(v.value, function (n, a, t) {
                    return e.e(
                      { a: n.icon, b: e.t(n.name), c: 0 === n.value },
                      (n.value, {}),
                      { d: 1 === n.value },
                      (n.value, {}),
                      { e: 2 === n.value },
                      (n.value, {}),
                      { f: 3 === n.value || 4 === n.value },
                      (3 === n.value || n.value, {}),
                      { g: a }
                    );
                  }),
                  n: e.t(e.unref(r.disclaimer)),
                  o: e.p({ visible: c.value }),
                }
          );
        }
      );
    },
  },
  v = e._export_sfc(c, [["__scopeId", "data-v-0ece0644"]]);
(c.__runtimeHooks = 3), wx.createPage(v);
